import java.io.FileNotFoundException;
import java.io.FileReader;
import java.io.FileWriter;
import java.io.IOException;
import java.io.PrintWriter;
import java.util.Scanner;

public class FlleIO {
	public static void main(String[] args) {
		Scanner input = null;
		PrintWriter output = null;
		
		try {
			input = new Scanner(new FileReader("data.dat"));
		} catch (FileNotFoundException e) {
			System.out.println("Cannot find the file data.dat");
			System.exit(-1);
		}
	
		try {
			output = new PrintWriter(new FileWriter("result.dat"));
		} catch (IOException e) {
			System.out.println("Cannpt open file result.dat");
			System.out.println("Error " + e);
			input.close();
			System.exit(-2);
		}
		
		double[] doubles = new double[9];
		int index = 0;
		
		try {
			while (true) {
				doubles[index++] = input.nextDouble();
			}
		} catch (Exception e) {
			// end of file has been encountered
		}
		
		try {
			for ( index = 8 ; index >= 0 ; index--) {
				output.println(doubles[index]);
			}
			
			output.flush();
		} catch (Exception e) {
			System.out.println("Something went wrong while writing to result.dat");
			e.printStackTrace();
		}
		
		input.close();
		output.close();
	}
}
